import { SvelteComponentTyped } from "svelte";
import type { DetailedValue, CountryCode, E164Number, TelInputOptions } from '../../types';
declare const __propDef: {
    props: {
        [x: string]: any;
        autocomplete?: string | null;
        class?: string;
        disabled?: boolean;
        id?: string;
        name?: string | null;
        placeholder?: string | null;
        readonly?: boolean | null;
        required?: boolean | null;
        size?: number | null;
        value: E164Number | null;
        country?: CountryCode | null | undefined;
        detailedValue?: Partial<DetailedValue> | null;
        valid?: boolean;
        options?: TelInputOptions;
        el?: HTMLInputElement | undefined;
        updateValue?: (newValue: string | E164Number | null, newCountry?: CountryCode | null) => void;
    };
    events: {
        beforeinput: InputEvent;
        blur: FocusEvent;
        change: Event;
        click: MouseEvent;
        focus: FocusEvent;
        input: Event;
        keydown: KeyboardEvent;
        keypress: KeyboardEvent;
        keyup: KeyboardEvent;
        paste: ClipboardEvent;
        updateCountry: CustomEvent<CountryCode | null>;
        parseError: CustomEvent<string>;
        updateDetailedValue: CustomEvent<Partial<DetailedValue> | null>;
        updateValid: CustomEvent<boolean>;
        updateValue: CustomEvent<E164Number | null>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type TelInputProps = typeof __propDef.props;
export type TelInputEvents = typeof __propDef.events;
export type TelInputSlots = typeof __propDef.slots;
export default class TelInput extends SvelteComponentTyped<TelInputProps, TelInputEvents, TelInputSlots> {
    get updateValue(): (newValue: string | E164Number | null, newCountry?: CountryCode | null) => void;
}
export {};
